RTEMS: ALT_QSPI_DEV_SIZE_CONFIG_s Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
ALT_QSPI_DEV_SIZE_CONFIG_s Struct Reference
Board Support Packages » ARM » Intel Cyclone V » Contributed Code » QSPI Flash Controller Module » Flash Device Configuration

`#include <alt_qspi.h>`

## Data Fields
uint32_t | block_size
uint32_t | page_size
uint32_t | addr_size
uint32_t | lower_wrprot_block
uint32_t | upper_wrprot_block
bool | wrprot_enable

## Detailed Description

Device Size Configuration

This type defines the structure used to specify flash device size and write protect regions.

## Field Documentation

## ◆ addr_size

uint32_t ALT_QSPI_DEV_SIZE_CONFIG_s::addr_size

Number of bytes used for the flash address. The value is n + 1 based. That is 0 = 1 byte, 1 = 2 bytes, 2 = 3 bytes, 3 = 4 bytes.

## ◆ block_size

uint32_t ALT_QSPI_DEV_SIZE_CONFIG_s::block_size

Number of bytes per device block. The number is specified as a power of 2. That is 0 = 1 byte, 1 = 2 bytes, ... 16 = 65535 bytes, etc.

## ◆ lower_wrprot_block

uint32_t ALT_QSPI_DEV_SIZE_CONFIG_s::lower_wrprot_block

The block number that defines the lower block in the range of blocks that is protected from writing. This field is ignored it write protection is disabled.

## ◆ page_size

uint32_t ALT_QSPI_DEV_SIZE_CONFIG_s::page_size

Number of bytes per device page. This is required by the controller for performing flash writes up to and across page boundaries.

## ◆ upper_wrprot_block

uint32_t ALT_QSPI_DEV_SIZE_CONFIG_s::upper_wrprot_block

The block number that defines the upper block in the range of blocks that is protected from writing. This field is ignored it write protection is disabled.

## ◆ wrprot_enable

bool ALT_QSPI_DEV_SIZE_CONFIG_s::wrprot_enable

The write region enable value. A value of true enables write protection on the region specified by the lower_wrprot_block and upper_wrprot_block range.

The documentation for this struct was generated from the following file:

- bsps/arm/altera-cyclone-v/contrib/hwlib/src/hwmgr/alt_qspi.h